
pfSense Packages - Bug #1766

Minor bug - siproxd prints out error message when siproxd_generate_rules called with "pfearly"

08/10/2011 02:51 AM - Matt Hoskins

Status: Resolved Start date: 08/10/2011

Priority: Low Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Plus

Version:

 

Affected Version:  Affected

Architecture:

 

Description

I have pfSense 2.0 with siproxd and noticed the following in the system log when siproxd start up is processed:

php: : Siproxd.inc -- error -- should not hit default case statement.

 This comes from siproxd_generate_rules in siproxd.inc. I changed the line in question to print out $type and see that it's pfearly that

it's being called with. My guess is the fix is to either change the case statement to not print out that line (like other packages) or else

put a case statement in for 'pfearly' which just does a break.

Associated revisions

Revision c61e56a7 - 07/10/2008 12:42 PM - Scott Ullrich 

Update NOIP URL

Ticket #1766

Revision ccdc611c - 07/10/2008 12:42 PM - Scott Ullrich 

Update NOIP URL

Ticket #1766

History

#1 - 08/10/2011 09:45 AM - Jim Pingle

- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset commit:e59953342fc399c119766363a3815f7335b07951.

#2 - 07/05/2012 06:14 PM - Jim Pingle

- Status changed from Feedback to Resolved
